Page MenuHomePhabricator

Decide on graveyards
Closed, ResolvedPublic

Description

Current graveyard styling in OSM bright is a problem because

  • it's extremely strong given its importance and typical sizes of graveyards;
  • the colour is close to some other combinations of greens;
  • Nothing about the cartography makes it obvious that it's a graveyard, either on first inspection, or after knowing the style

I have three options

  1. Leave them out
  2. Copy the existing osm-bright styling
  3. Come up with something new

All three are technically very easy to implement, but I can't think of good cartography for the third.

This might need a PM call

Event Timeline

Pnorman created this task.Jan 26 2017, 1:18 AM
MaxSem edited subscribers, added: Deskana; removed: debt.Jan 26 2017, 1:22 AM
MaxSem added a subscriber: MaxSem.Jan 26 2017, 1:26 AM

Current dark fill doesn't feel obvious, however for example the OSM-carto way of rendering cemeteries isn't nice either.

debt added a comment.Jan 26 2017, 4:59 PM

I think if we use a lighter green as the background and a lighter green for the symbols would be fine. Something to show it's a cemetery, but not so dark/bright that it immediately draws your eyes to it.

Pnorman moved this task from Backlog to In progress on the Maps-Sprint board.Jun 15 2017, 11:36 PM

per discussions, going to use brown-green for graveyard (greener than buildings in parks).

Perhaps something like #e9ead1 //lch(92,13,110)

Pnorman moved this task from In progress to Needs review on the Maps-Sprint board.Jul 12 2017, 7:35 PM
debt added a comment.Jul 13 2017, 3:52 PM

Color looks fine, but is there a texture that can be added on top to note that it's a cemetery (since there don't appear to be labels)?

I looked at what other maps are doing with graveyards

The symbology choices are a headstone pattern or a single headstone icon. I'll be adding in labels too, but not all graveyards will have them.

Something OpenStreetMap Carto and other maps derived from the old osm.xml Mapnik style do is change the symbols when there's a religion associated with the graveyard

I'm not sure that's worth it for us.

debt added a comment.Jul 13 2017, 7:06 PM

A less-dense pattern for the cemeteries would be great.

Pnorman moved this task from Needs review to In progress on the Maps-Sprint board.Jul 14 2017, 4:24 PM

Thoughts on this look?

The pattern spacing is at 32px and consists of lch(75,13,110) on lch(92,13,110)

debt added a comment.Jul 14 2017, 6:32 PM

Spacing looks fine, the icons can be a bit less prominent - less opaque or a lighter color.

adjusted as per above and discussion on irc. the pattern now starts on z15 too.

debt added a comment.Jul 14 2017, 10:19 PM

Looks good, thanks!

Pnorman moved this task from Stalled/Waiting to Done on the Maps-Sprint board.Aug 2 2017, 11:44 PM
debt closed this task as Resolved.Aug 31 2017, 7:07 PM
debt claimed this task.